"use strict";

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const curry = require('lodash/curry');

const warning = require('warning');

const attachOptions = (options, action) => {
  if (!(typeof action.argsLength === 'number' && action.argsLength > 0 && action.allowOptions === true)) {
    warning(false, 'attachOptions: cannot attach options to this action');
    return action;
  } // eslint-disable-next-line no-param-reassign


  action._options = _objectSpread({}, action._options, options);
  return action;
};

module.exports = curry(attachOptions);